- name: "creating cloudstack documentation"
  block:
    - name: "creating documentation path"
      file:
        path: "{{ context }}/docs"
        state: directory
        mode: 0775
        recurse: yes

    - name: "creating documentation file"
      ansible.builtin.template:
        src: "README.md.j2"
        dest: "{{ context }}/docs/README.md"

- name: "creating component documentation"
  block:
    - name: "creating documentation path"
      file:
        path: "{{ context}}/docs/{{ component }}"
        state: directory
        mode: 0775
        recurse: yes

    - name: "creating documentation file"
      ansible.builtin.template:
        src: "{{ component }}/README.md.j2"
        dest: "{{ context }}/docs/{{ component }}/README.md"
  when: component != ""
